newsfilter
Events

Catch up on events

GET
/v1/events

Every event for the calling app's subscribed tickers after a cursor, in publish order, up to 30 days back. Start without since, then pass back next_cursor each time.

Authorization

apiKey
headerAuthorizationBearer <token>

Query Parameters

since?string

Opaque cursor. Pass it back unchanged.

Length1 <= length
limit?integer
Range1 <= value <= 1000
Default100

Response Body

A page of events in order

application/json
  1. response
data*array<||||>
next_cursor*string

Pass as since next time. Advance only from this value.

Length1 <= length
has_more*boolean
Example Request
curl -X GET 'https://api.newsfilter.dev/v1/events'
Example Response
{  "data": [    {      "event_id": "evt_01JC4ZQ8M6W7Y3T2K9P5R1N0BX",      "type": "article.shortlisted",      "schema_version": 1,      "occurred_at": "2026-11-03T14:05:00Z",      "origin": "live",      "ticker": "ACME",      "data": {        "article": {          "id": "art_01JC4ZQ8M6W7Y3T2K9P5R1N0BX",          "title": "Acme raises full-year revenue guidance",          "outlet": "Example Wire",          "url": "https://news.example.com/acme-raises-guidance",          "published_at": "2026-11-03T14:05:00Z",          "ticker": "ACME",          "site": "news.example.com",          "teaser": "The company cited stronger orders from industrial customers.",          "first_seen_at": "2026-11-03T14:05:00Z",          "pipeline_status": "shortlisted",          "judgement": {            "about_company": "primary",            "article_type": "news",            "new_fact": "Acme raised its full-year revenue guidance to $4.2 billion.",            "fact_timing": "first_report",            "criteria": [              "corporate_event"            ],            "reason": "First report of a guidance change from the company.",            "judged_on": "body",            "shortlisted": true          },          "story_id": "st_01JC4ZQ8M6W7Y3T2K9P5R1N0BX"        },        "story_version": 1      }    }  ],  "next_cursor": "string",  "has_more": true}